/*****
Endl_Fixer v1.0 by Andree Chea

Ever been annoyed that some .txt files don't have very nice line breaking?
This program will fix it!  Type in the .txt file (must be a .txt file) and
it will create a new .txt file with the end line characters fixed!  It is
true that copy/pasting it into winword will do the same, but it's cooler to
use this program :)

Compiled under MVC++ 6.0
Feel free to edit source (like optimizing)
*****/

#include <fstream.h>
#include <iostream.h>
#include <string.h>

bool isendl(char character)
{
	return ((character == '\r') || (character == '\f'));
}

bool isvalidfileName(const char * fileName)
{
	int length = strlen(fileName);
	if (length >= 65)
		return (false);
	for (int index = 0; index < length; index++)
		if (fileName[index] == '.')
			return (true);
	return (false);
}

int main()
{
	ifstream inFile;
	ofstream outFile;
	char character;
	char infileName[81];
	char outfileName[81];
	int count;

	cout<<"This program replaces all \\r, \\f with \\n\nEnter fileName: ";
	cin.get(infileName, 61);
	cin.ignore(1000, '\n');
	if (!isvalidfileName(infileName))
	{
		cout<<"*** Invalid file name! ***";
		return 1;
	}

	inFile.open(infileName);
	if (!inFile)
	{	cout<<"*** Couldn't open "<<infileName<<" ***";
		return 1;
	}

	count = 0;
	do
	{
		if (infileName[count] != '.')
		{
			outfileName[count] = infileName[count];
			count++;
		}
	} while ((infileName[count] != '.') && (count < 65)) ;

	if (count >= 65)
	{
		cout<<"File name doesn't have a '.' period or file name is too long!";
		inFile.close();
		inFile.clear();
		return 1;
	}
	outfileName[count] = '\0';
	strcat(outfileName, " (endl fix).txt");

	outFile.open(outfileName);
	if (!outFile)
	{
		cout<<"*** Couldn't open "<<outfileName<<" ***";
		inFile.close();
		inFile.clear();
		return 1;
	}
	inFile.get(character);
	while (!inFile.eof())
	{
		outFile<<(isendl(character)? '\n': character);
		inFile.get(character);
	}
	inFile.close();
	inFile.clear();
	outFile.close();
	outFile.clear();
	cout<<"Done! Formatted file written to: "<<outfileName;
	return 0;
}
